summaryrefslogtreecommitdiffstats
path: root/source/l/QScintilla
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-03-19 22:01:05 +0000
committer Eric Hameleers <alien@slackware.com>2020-03-20 08:59:33 +0100
commit30f51193f42e1a02f3ba9a16706bd037b9ffe93c (patch)
treef9a5d6061438db64c3c1afa47175016e51a55187 /source/l/QScintilla
parent9e2e1c45f763349b9e37c5786147a9edf97f9e2d (diff)
downloadcurrent-30f51193f42e1a02f3ba9a16706bd037b9ffe93c.tar.gz
current-30f51193f42e1a02f3ba9a16706bd037b9ffe93c.tar.xz
Thu Mar 19 22:01:05 UTC 202020200319220105
ap/ghostscript-9.52-x86_64-1.txz: Upgraded. l/PyQt5-5.13.2-x86_64-1.txz: Added. l/QScintilla-2.11.4-x86_64-3.txz: Rebuilt. Added PyQt5 support. Thanks to alienBOB. l/sip-4.19.21-x86_64-2.txz: Rebuilt. Recompiled to pick up Qt5 support. n/gpgme-1.13.1-x86_64-3.txz: Rebuilt. Added Qt5 bindings. Thanks to alienBOB.
Diffstat (limited to 'source/l/QScintilla')
-rwxr-xr-xsource/l/QScintilla/QScintilla.SlackBuild20
1 files changed, 10 insertions, 10 deletions
diff --git a/source/l/QScintilla/QScintilla.SlackBuild b/source/l/QScintilla/QScintilla.SlackBuild
index 22e042a1a..3895c5b38 100755
--- a/source/l/QScintilla/QScintilla.SlackBuild
+++ b/source/l/QScintilla/QScintilla.SlackBuild
@@ -29,7 +29,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=QScintilla
VERSION=${VERSION:-$(echo ${PKGNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -132,15 +132,15 @@ if qtpaths-qt5 --qt-version 1>/dev/null 2>/dev/null ; then
make -j1 install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
make clean || exit 1
-
- python2 configure.py \
- --verbose \
- --qmake /usr/bin/qmake-qt5 \
- --pyqt=PyQt5 \
- -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
- || exit 1
- make || exit 1
- make -j1 install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
+ ## No Qt5 python2 support!
+ #python2 configure.py \
+ # --verbose \
+ # --qmake /usr/bin/qmake-qt5 \
+ # --pyqt=PyQt5 \
+ # -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
+ # || exit 1
+ #make || exit 1
+ #make -j1 install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
cd -
# In order to compile Qt4 support next, clean up first: